Package com.smartgwt.client.types

# Enum Cursor

java.lang.Object
java.lang.Enum<Cursor>
com.smartgwt.client.types.Cursor

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<Cursor>`, `Constable`

public enum Cursor extends Enum<Cursor> implements ValueEnum
You can use whatever cursors are valid for your deployment platforms, but keep in mind that visual representation may vary by browser and OS. See the MDN `cursor` page for a live demonstration.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL_SCROLL`
  `ARROW`
  `AUTO`
  Use the default cursor for this element type in this browser/OS
  `COL_RESIZE`
  Use the column resize cursor (horizontal double-tipped arrow)
  `CROSSHAIR`
  Use the 'crosshair' ( + ) cursor.
  `DEFAULT`
  Use the default arrow cursor for this browser/OS.
  `E_RESIZE`
  Use the "east resize" cursor.
  `HAND`
  Use the hand cursor.
  `HELP`
  Use the 'help' cursor.
  `MOVE`
  Use the "move" (crosshairs) cursor.
  `N_RESIZE`
  Use the "north resize" cursor.
  `NE_RESIZE`
  Use the "north-east resize" cursor.
  `NOT_ALLOWED`
  Use the "not-allowed" cursor.
  `NW_RESIZE`
  Use the "north-west resize" cursor.
  `POINTER`
  Use the normal hand pointer that appears when you hover over a link
  `ROW_RESIZE`
  Use the row resize cursor (vertical double-tipped arrow)
  `S_RESIZE`
  Use the "south resize" cursor.
  `SE_RESIZE`
  Use the "south-east resize" cursor.
  `SW_RESIZE`
  Use the "south-west resize" cursor.
  `TEXT`
  Use the 'text' (i-beam) cursor.
  `W_RESIZE`
  Use the "west resize" cursor.
  `WAIT`
  Use the wait cursor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static Cursor`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Cursor[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final Cursor DEFAULT
    Use the default arrow cursor for this browser/OS.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "default".

  - ### AUTO

    public static final Cursor AUTO
    Use the default cursor for this element type in this browser/OS

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "auto".

  - ### WAIT

    public static final Cursor WAIT
    Use the wait cursor.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "wait".

  - ### HAND

    public static final Cursor HAND
    Use the hand cursor.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "hand".

  - ### MOVE

    public static final Cursor MOVE
    Use the "move" (crosshairs) cursor.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "move".

  - ### HELP

    public static final Cursor HELP
    Use the 'help' cursor.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "help".

  - ### TEXT

    public static final Cursor TEXT
    Use the 'text' (i-beam) cursor.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "text".

  - ### POINTER

    public static final Cursor POINTER
    Use the normal hand pointer that appears when you hover over a link

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "pointer".

  - ### ARROW

    public static final Cursor ARROW

  - ### ALL_SCROLL

    public static final Cursor ALL_SCROLL

  - ### CROSSHAIR

    public static final Cursor CROSSHAIR
    Use the 'crosshair' ( + ) cursor.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "crosshair".

  - ### COL_RESIZE

    public static final Cursor COL_RESIZE
    Use the column resize cursor (horizontal double-tipped arrow)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "col-resize".

  - ### ROW_RESIZE

    public static final Cursor ROW_RESIZE
    Use the row resize cursor (vertical double-tipped arrow)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "row-resize".

  - ### E_RESIZE

    public static final Cursor E_RESIZE
    Use the "east resize" cursor.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "e-resize".

  - ### W_RESIZE

    public static final Cursor W_RESIZE
    Use the "west resize" cursor.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "w-resize".

  - ### N_RESIZE

    public static final Cursor N_RESIZE
    Use the "north resize" cursor.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "n-resize".

  - ### S_RESIZE

    public static final Cursor S_RESIZE
    Use the "south resize" cursor.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "s-resize".

  - ### SE_RESIZE

    public static final Cursor SE_RESIZE
    Use the "south-east resize" cursor.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "se-resize".

  - ### NE_RESIZE

    public static final Cursor NE_RESIZE
    Use the "north-east resize" cursor.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "ne-resize".

  - ### NW_RESIZE

    public static final Cursor NW_RESIZE
    Use the "north-west resize" cursor.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "nw-resize".

  - ### SW_RESIZE

    public static final Cursor SW_RESIZE
    Use the "south-west resize" cursor.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "sw-resize".

  - ### NOT_ALLOWED

    public static final Cursor NOT_ALLOWED
    Use the "not-allowed" cursor.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "not-allowed".

- ## Method Details

  - ### values

    public static Cursor[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Cursor valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`